Name:           eyesight
Summary:        Hawaii desktop image viewer
Version:        0.1.4
Release:        %mkrel 7
Group:          Graphical desktop/Other
# Bundles webp, which is BSD
License:        GPLv2+ and BSD
URL:            http://hawaiios.org/projects/eyesight
# git clone --no-checkout https://github.com/hawaii-desktop/eyesight.git
# cd eyesight/
# git archive v0.1.1 --prefix=eyesight-0.1.1/ |gzip >eyesight-0.1.1.tar.gz
Source0:        https://github.com/hawaii-desktop/eyesight%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         eyesight-0.1.4-fix-build-against-qt-5.11.0.patch
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  qttools5
BuildRequires:  cmake
BuildRequires:  bzip2-devel
BuildRequires:  desktop-file-utils

%description
Provides image viewer for Hawaii desktop.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

desktop-file-install --delete-original                          \
        --dir %{buildroot}%{_datadir}/applications           \
        %{buildroot}%{_datadir}/applications/*.desktop


%files
%license COPYING
%doc README.md
%{_bindir}/eyesight
%{_datadir}/applications/eyesight.desktop
%{_datadir}/eyesight
%{_datadir}/appdata/eyesight.appdata.xml


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.1.4-7.mga9
+ Revision: 1842065
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.1.4-6.mga8
+ Revision: 1658386
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.1.4-5.mga8
+ Revision: 1524578
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0.1.4-4.mga7
+ Revision: 1381644
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.4-3.mga7
+ Revision: 1297652
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 0.1.4-2.mga7
+ Revision: 1233765
- add patch to fix build with new Qt5 >= 5.11.0

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.1.4-1.mga6
+ Revision: 927211
- 0.1.4
- update URLs

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 741447
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-2.mga5
+ Revision: 679073
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 dams <dams> 0.1.2-1.mga5
+ Revision: 592495
- new version 0.1.2

* Thu Feb 06 2014 neoclust <neoclust> 0.1.1-1.mga5
+ Revision: 584049
- imported package eyesight


* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.1-1
- Initial packaging
